<xml></xml>

Collapse All Expand All Code: All Code: Multiple Code: C# Code: Visual Basic Code: Visual C++

Berkeley DB .NET API Documentation
HashDatabase..::.Stats Method (Transaction)
HashDatabase Class See Also Send Feedback

Return the database statistical information for this database.

Namespace: BerkeleyDB
Assembly: libdb_dotnet53 (in libdb_dotnet53.dll) Version: 5.3.28.0

# Syntax

C#

    public HashStats Stats(
    	Transaction txn
    )

Visual Basic (Declaration)

    Public Function Stats ( _
    	txn As Transaction _
    ) As HashStats

Visual C++

    public:
    HashStats^ Stats(
    	Transaction^ txn
    )

#### Parameters

txn
  Type: BerkeleyDB..::.Transaction
  If the operation is part of an application-specified transaction, txn is a Transaction object returned from BeginTransaction()()(); if the operation is part of a Berkeley DB Concurrent Data Store group, txn is a handle returned from BeginCDSGroup()()(); otherwise null.

#### Return Value

Database statistical information.

# See Also

HashDatabase Class
Stats Overload
BerkeleyDB Namespace